Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# HRCParserImpl Class Reference
[Parsers]

Inheritance diagram for HRCParserImpl:

## Detailed Description

Implementation of HRCParser.

Reads and mantains HRC database of syntax rules, used by TextParser implementations to make realtime text syntax parsing.

## Public Methods
void | setErrorHandler (ErrorHandler *eh)
void | loadSource (InputSource *is)
FileType * | getFileType (const String *name)
FileType * | enumerateFileTypes (int index)
FileType * | chooseFileType (const String *fileName, const String *firstLine, int typeNo=0)
int | getRegionCount ()
const Region * | getRegion (int id)
const Region * | getRegion (const String *name)
const String * | getVersion ()
## Protected Types
enum | QualifyNameType { QNT_DEFINE, QNT_SCHEME, QNT_ENTITY }
## Protected Methods
void | loadFileType (FileType *filetype)
void | parseHRC (const byte *data, int len)
void | addPrototype (CXmlEl *elem)
void | addType (CXmlEl *elem)
void | addScheme (CXmlEl *elem)
void | addSchemeNodes (SchemeImpl *scheme, CXmlEl *elem)
void | loadRegions (SchemeNode *node, CXmlEl *el)
String * | qualifyOwnName (const String *name)
bool | checkNameExist (const String *name, FileTypeImpl *parseType, QualifyNameType qntype, bool logErrors)
String * | qualifyForeignName (const String *name, QualifyNameType qntype, bool logErrors)
void | updateLinks ()
String * | useEntities (const String *name)
const Region * | getNCRegion (CXmlEl *el, const String &tag)
const Region * | getNCRegion (const String *name, bool logErrors)
## Protected Attributes
Hashtable< FileTypeImpl * > | fileTypeHash
Vector< FileTypeImpl * > | fileTypeVector
Hashtable< SchemeImpl * > | schemeHash
Vector< const Region * > | regionNamesVector
Hashtable< const Region * > | regionNamesHash
Hashtable< String * > | schemeEntitiesHash
String * | versionName
FileTypeImpl * | parseType
InputSource * | curInputSource
bool | structureChanged
bool | updateStarted
ErrorHandler * | errorHandler

## Member Function Documentation

void HRCParserImpl::updateLinks | ( |  | ) | `[protected]`

| !!schemeName;

const Region * HRCParserImpl::getNCRegion | ( | const String * | name,
|  | bool | logErrors
| ) | `[protected]`

| Check for 'default' region request. Regions with this name are always transparent

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:56 2003 by doxygen 1.3-rc2.